classification
Title: enum: Add documentation for _create_pseudo_member_ and composite members
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ethan.furman Nosy List: barry, cool-RR, docs@python, eli.bendersky, ethan.furman
Priority: normal Keywords: patch

Created on 2020-03-18 20:16 by cool-RR, last changed 2021-04-15 13:51 by ethan.furman. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25376 merged ethan.furman, 2021-04-13 01:21
Messages (2)
msg364561 - (view) Author: Ram Rachum (cool-RR) * Date: 2020-03-18 20:16
Looking at the enum source code, there's a method `_create_pseudo_member_` that's used in a bunch of places. Its docstring says "Create a composite member iff value contains only members", which would have been useful if I had any idea what "composite member" meant.

It would be good if the documentation for the enum module would include more information about these two concepts.
msg390915 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2021-04-13 01:24
`_create_pseudo_member_` was an implementation detail and has been removed.  I did update the doc string which was migrated to `_missing_`.
History
Date User Action Args
2021-04-15 13:51:45ethan.furmansetstatus: open -> closed
assignee: docs@python -> ethan.furman
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.10, - Python 3.8, Python 3.9
2021-04-13 01:24:50ethan.furmansetmessages: + msg390915
2021-04-13 01:21:17ethan.furmansetkeywords: + patch
stage: patch review
pull_requests: + pull_request24108
2020-03-18 20:33:30xtreaksetnosy: + barry, eli.bendersky, ethan.furman
2020-03-18 20:16:49cool-RRcreate